import sympy as sp
import numpy as np

# Common fractions
common_fractions = {
    1 / np.sqrt(2): "1/√2",
    1 / np.sqrt(3): "1/√3",
    1 / np.sqrt(5): "1/√5",
    1 / np.sqrt(6): "1/√6",
    1 / np.sqrt(7): "1/√7",
    1 / np.sqrt(10): "1/√10",
    1 / np.sqrt(13): "1/√13",
    1 / np.sqrt(15): "1/√15",
    1 / np.sqrt(17): "1/√17",
    sp.Rational(1, 2): "1/2",
    sp.Rational(1, 3): "1/3",
    sp.Rational(1, 4): "1/4",
    sp.Rational(1, 5): "1/5",
    sp.Rational(1, 6): "1/6",
    sp.Rational(1, 7): "1/7",
    sp.Rational(1, 8): "1/8",
    sp.Rational(1, 9): "1/9",
    sp.Rational(1, 10): "1/10",
    sp.Rational(1, 11): "1/11",
    sp.Rational(1, 12): "1/12",
    sp.Rational(1, 13): "1/13",
    sp.Rational(1, 14): "1/14",
    sp.Rational(1, 15): "1/15",
    sp.Rational(1, 16): "1/16",
    sp.Rational(1, 17): "1/17",
    sp.Rational(1, 18): "1/18",
    sp.Rational(1, 19): "1/19",
    sp.Rational(1, 20): "1/20",
    sp.Rational(2, 3): "2/3",
    sp.Rational(2, 5): "2/5",
    sp.Rational(2, 7): "2/7",
    sp.Rational(2, 9): "2/9",
    sp.Rational(2, 11): "2/11",
    sp.Rational(2, 13): "2/13",
    sp.Rational(2, 15): "2/15",
    sp.Rational(2, 17): "2/17",
    sp.Rational(2, 19): "2/19",
    sp.Rational(2, 21): "2/21",
    sp.Rational(2, 23): "2/23",
    sp.Rational(3, 4): "3/4",
    sp.Rational(3, 5): "3/5",
    sp.Rational(3, 7): "3/7",
    sp.Rational(3, 8): "3/8",
    sp.Rational(3, 11): "3/11",
    sp.Rational(3, 13): "3/13",
    sp.Rational(3, 16): "3/16",
    sp.Rational(3, 17): "3/17",
    sp.Rational(3, 19): "3/19",
    sp.Rational(3, 23): "3/23",
    sp.Rational(4, 5): "4/5",
    sp.Rational(4, 7): "4/7",
    sp.Rational(4, 9): "4/9",
    sp.Rational(4, 11): "4/11",
    sp.Rational(4, 13): "4/13",
    sp.Rational(4, 15): "4/15",
    sp.Rational(4, 17): "4/17",
    sp.Rational(4, 19): "4/19",
    sp.Rational(4, 21): "4/21",
    sp.Rational(5, 6): "5/6",
    sp.Rational(5, 7): "5/7",
    sp.Rational(5, 8): "5/8",
    sp.Rational(5, 9): "5/9",
    sp.Rational(5, 11): "5/11",
    sp.Rational(5, 13): "5/13",
    sp.Rational(5, 16): "5/16",
    sp.Rational(5, 17): "5/17",
    sp.Rational(6, 7): "6/7",
    sp.Rational(6, 11): "6/11",
    sp.Rational(6, 13): "6/13",
    sp.Rational(7, 8): "7/8",
    sp.Rational(7, 9): "7/9",
    sp.Rational(7, 11): "7/11",
    sp.Rational(7, 13): "7/13",
    sp.Rational(8, 9): "8/9",
    sp.Rational(8, 11): "8/11",
    sp.Rational(9, 10): "9/10",
    sp.Rational(9, 11): "9/11",
    sp.Rational(9, 13): "9/13",
    sp.Rational(9, 16): "9/16",
    sp.Rational(9, 17): "9/17",
    sp.Rational(9, 19): "9/19",
    sp.Rational(9, 23): "9/23",
    sp.Rational(10, 11): "10/11",
    sp.Rational(10, 13): "10/13",
    sp.Rational(10, 17): "10/17",
    sp.Rational(10, 19): "10/19",
    sp.Rational(11, 12): "11/12",
    sp.Rational(11, 13): "11/13",
    sp.Rational(11, 17): "11/17",
    sp.Rational(12, 13): "12/13",
    sp.Rational(12, 17): "12/17",
    sp.Rational(13, 14): "13/14",
    sp.Rational(13, 15): "13/15",
    sp.Rational(13, 17): "13/17",
    sp.Rational(14, 15): "14/15",
    sp.Rational(15, 16): "15/16",
    sp.Rational(15, 17): "15/17",
    sp.Rational(16, 17): "16/17",
    sp.Rational(17, 18): "17/18",
    sp.Rational(17, 19): "17/19",
    sp.Rational(18, 19): "18/19",
    sp.Rational(19, 20): "19/20",
}
